#ifndef ATTRIBUTES_H
#define ATTRIBUTES_H

#include "utils/List.h"

class Attributes final {
    struct Attribute final {
        int count;
        int size;
        int type;
        bool normalized;
    };

    List<Attribute, 10> attributes;

    friend class VertexBuffer;

public:
    Attributes& addFloat(int count);
    Attributes& addColor4();
    Attributes& addSpacer();

private:
    void set() const;
};

#endif