#ifndef WINDOWOPTIONS_H
#define WINDOWOPTIONS_H

#include "utils/Size.h"

struct WindowOptions final {
    int majorVersion;
    int minorVersion;
    const Size& size;
    bool fullscreen;
    bool es;
    bool vsync;
    const char* name;

    WindowOptions(int majorVersion, int minorVersion, const Size& size, bool es, const char* name);
};

#endif